function init(hero) {
    hero.setName("Billy Maximoff");
    hero.setTier(1);

    hero.setChestplate("Chestpiece");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");

    hero.addPowers("wv:tele");
    hero.addAttribute("PUNCH_DAMAGE", 2.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 0.5, 0);

    hero.addKeyBind("TELEKINESIS", "Telekinesis", 1);
    hero.addKeyBind("AIM", "Telekinesis", 1);

    
    hero.supplyFunction("canAim", canAim)

    hero.setKeyBindEnabled((entity, keyBind) => {
        switch (keyBind) {
            case "TELEKINESIS":
                return entity.getData("fiskheroes:aiming");
        }
        return true;
    });
  
    hero.setTickHandler((entity, manager) => {
        manager.incrementData(entity, "wv:dyn/holoanimation", 20, 20, entity.is("DISPLAY") && !entity.as("DISPLAY").isStatic() && entity.as("DISPLAY").getDisplayType() === "HOLOGRAM");
    })
    
    hero.setDefaultScale(0.8);
}

function canAim(entity) {
    return entity.getHeldItem().isEmpty();
}


